DummySampleValue Class Reference

`#include <DummySampleValue.h>`

Inheritance diagram for DummySampleValue:

## Public Member Functions

| DummySampleValue (UWORD16 v)
UWORD16 | getValue (void) const
UWORD32 | calcDistance (const SampleValue *s) const
bool | isNeighbour (const SampleValue *s) const
SampleValue * | getNearestTargetSampleValue (EmbValue t) const
std::string | getName (void) const
Public Member Functions inherited from SampleValue
| SampleValue (void)
virtual | ~SampleValue (void)
EmbValue | getEmbeddedValue (void) const
UWORD32 | getKey (void) const
bool | operator== (const SampleValue &sv) const
bool | operator!= (const SampleValue &sv) const
bool | operator< (const SampleValue &sv) const
UWORD32 | getNumEdges (EmbValue t) const
void | setNumEdges (EmbValue t, UWORD32 ne)
void | incNumEdges (EmbValue t)
void | decNumEdges (EmbValue t)
void | setLabel (unsigned long l)
unsigned long | getLabel (void) const
void | print (unsigned short spc=0) const

## Private Attributes

UWORD16 | Value

## Additional Inherited Members

Protected Attributes inherited from SampleValue
EmbValue | EValue
| the bit that is embedded in this sample value - must be set in constructor of derived class
UWORD32 | Key
| the key of this sample value - must be different for two different sample values - must be set in constructor of derived class

## Constructor & Destructor Documentation

## DummySampleValue()

DummySampleValue::DummySampleValue | ( | UWORD16 | v | ) |

inline

## Member Function Documentation

## calcDistance()

UWORD32 DummySampleValue::calcDistance | ( | const SampleValue * | s | ) | const

virtual

calculate the distance as | Value - s->Value |

Implements SampleValue.

## getName()

std::string DummySampleValue::getName | ( | void |  | ) | const

virtual

return a short name uniquely identifying this sample value

Implements SampleValue.

## getNearestTargetSampleValue()

SampleValue * DummySampleValue::getNearestTargetSampleValue | ( | EmbValue | t | ) | const

virtual

get the nearest (with the least distance to this sample value) sample value whose embedded value equals the specified target

Parameters

  t | the target embedded value

If two or more target sample values have equal distance each of them should be returned with equal probability.

The returned SampleValue object should be deleted by the callser.

Implements SampleValue.

## getValue()

UWORD16 DummySampleValue::getValue | ( | void |  | ) | const

inline

## isNeighbour()

bool DummySampleValue::isNeighbour | ( | const SampleValue * | s | ) | const

virtual

return from the contents of the SampleValueAdjacencyMatrix in the DummyFile

Reimplemented from SampleValue.

## Member Data Documentation

## Value

UWORD16 DummySampleValue::Value

private

The documentation for this class was generated from the following files:

- DummySampleValue.h
- DummySampleValue.cc